{% extends "base_blog.html" %}
{% load static %}
{% load wagtailcore_tags %}
{% load wagtailimages_tags %}
{% load static %}

{% block body_class %}template-blogindexpage{% endblock %}

{% load wagtailimages_tags %}

{% block content %}

{% block custom_css %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/blog/carousel_blog_style.css' %}" />
    <link rel="stylesheet" type="text/css" href="{% static 'css/blog/inscricao_section_blog.css' %}" />
{% endblock %}
<link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap">


<div id="default-carousel-blog" class="relative w-full h-[33rem] mt-[3.50rem]" data-carousel="slide" data-carousel-interval="8000">
    <!-- Carousel wrapper -->
    <div class="relative h-[33rem] w-screen">
        {% if carousel_blog_slides %}
        <div class="relative overflow-hidden h-full">
            {% for slide in carousel_blog_slides %}
                {% if slide.image %}
                    <div class="hidden h-[33rem] absolute duration-700 ease-in-out" data-carousel-item>
                        {% image slide.image original class=" carousel__image absolute block w-full h-[33rem] -translate-x-1/2 -translate-y-1/2 top-1/2 left-1/2" alt="{{ slide.title }}" %}
                        <div class="carouselInfosBlog font-Poppins font-normal  bottom-10 left-10 text-white">
                            <div class="carouselInfosBlog__title text-4xl">{{ slide.title }}</div>
                            <div class="carouselInfosBlog__description text-xl mt-2">{{ slide.description }}</div>
                            <a href="{{ slide.read_more_redirect_uri }}">
                                <button type="button" class="carouselInfosBlog__read__more mb-2 me-2 font-medium text-sm text-white rounded-lg py-3 no-underline hover:underline hover:underline-offset-4">Leia tudo <i class="fa-solid fa-arrow-right ml-1"></i></button>
                            </a>
                        </div>
                    </div>
                {% endif %}
            {% endfor %}
        </div>

            <!-- Slider indicators -->
            <div class="absolute z-40 flex -translate-x-1/2 bottom-5 left-1/2 space-x-3 rtl:space-x-reverse">
                <button type="button" class="w-3 h-3 rounded-full" aria-current="true" aria-label="Slide 1" data-carousel-slide-to="0"></button>
                {% for slide in carousel_blog_slides.all|slice:"1:" %}
                    <button type="button" class="w-3 h-3 rounded-full" aria-current="false" aria-label="Slide 2" data-carousel-slide-to="1"></button>
                {% endfor %}
            </div>

            <!-- Slider controls -->
            <button type="button" class="previous__button absolute top-0 start-0 z-50 flex items-center justify-center px-5 cursor-pointer group focus:outline-none" data-carousel-prev>
                <span class="inline-flex items-center justify-center w-10 h-10 rounded-full bg-white/50 dark:bg-lightGray/50 group-hover:bg-white/70 dark:group-hover:bg-lightGray/70 group-focus:ring-4 group-focus:ring-white dark:group-focus:ring-lightGray/70 group-focus:outline-none ">
                    <svg class="w-6 h-6 text-white dark:text-lightGray rtl:rotate-180" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 6 10">
                        <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 1 1 5l4 4"/>
                    </svg>
                    <span class="sr-only">Previous</span>
                </span>
            </button>                    

            <button type="button" class="next__button absolute top-0 end-0 z-50 flex items-center justify-center px-5 cursor-pointer group focus:outline-none" data-carousel-next>
                <span class="inline-flex items-center justify-center w-10 h-10 p-0 rounded-full bg-white/50 dark:bg-lightGray/50 group-hover:bg-white/70 dark:group-hover:bg-lightGray/70 group-focus:ring-4 group-focus:ring-white dark:group-focus:ring-lightGray/70 group-focus:outline-none">
                    <svg class="w-6 h-6 text-white dark:text-lightGray rtl:rotate-180" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 6 10">
                        <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="m1 9 4-4-4-4"/>
                    </svg>
                    <span class="sr-only">Next</span>
                </span>
            </button> 
        {% endif %}
    </div>
</div>


    </div>

   <!-- Seção dos 3 primeiros cards -->
    <div class="grid grid-cols-1 md:grid-cols-3 gap-6 mt-8 mx-4">
        {% for post in featured_posts %}
        <div class="card bg-white rounded-lg shadow-lg blog-section__card mt-6 mx-4">
            {% if post.specific.image %}
            {% image post.specific.image fill-400x200 class="w-full h-48 object-cover rounded-t-lg" alt=post.title %}
            {% endif %}
            <div class="p-6">
            {% for tag in post.tags.all %}
                <a href="{% pageurl post.get_parent %}?tag={{ tag.slug }}" class="inline-block bg-darkOrange text-black py-1 px-3 rounded-full m-1 text-sm mb-4">
                {{ tag }}
                </a>
            {% endfor %}
            <h3 class="text-xl font-semibold mb-4">{{ post.title }}</h3>
            <a href="{% pageurl post %}" class="inline-flex items-center no-underline text-purpleAccent blog-section__read-more">
                Leia mais
                <img src="{% static 'icons/arrow.svg' %}" alt="Arrow" class="ml-2 blog-section__read-more-icon">
            </a>
            </div>
        </div>
        {% endfor %}
    </div>

    <!-- Filtro de tags -->
    <div class="mt-16 pl-20">
      <div class="inline-flex items-center gap-2">
        <h2 class="text-lg font-semibold">Filtrar notícias por tema:</h2>
        <div class="flex gap-2 items-center overflow-x-auto whitespace-nowrap">
          {% for tag in tags %}
            <a href="{% pageurl page %}?tag={{ tag|slugify }}" 
              class="inline-block bg-darkOrange text-black py-1 px-3 rounded-full text-sm">
              {{ tag }}
            </a>
          {% endfor %}
        </div>
      </div>
    </div>

    <!-- Lista paginada de posts -->
    <div class="mt-16 pl-4">
      {% for post in paginated_posts %}
        <div class="bg-white rounded-lg shadow-lg blog__page-card mt-6 mx-4">
          <div class="flex flex-col md:flex-row">
            {% if post.specific.image %}
              <div class="w-full md:w-1/2 h-48 md:h-auto flex-shrink-0 hidden md:block">
                {% image post.specific.image fill-600x300 class="w-full h-full object-cover md:rounded-l-lg" alt=post.title %}
              </div>
            {% endif %}
            <div class="w-full md:w-1/2 p-6 flex flex-col justify-between">
              <div class="flex-grow">
                {% for tag in post.tags.all %}
                  <a href="{% pageurl post.get_parent %}?tag={{ tag.slug }}" class="inline-block bg-darkOrange text-black py-1 px-3 rounded-full m-1 text-sm mb-5">
                    {{ tag }}
                  </a>
                {% endfor %}
                <h3 class="text-4xl font-semibold mb-5">{{ post.title }}</h3>
                <p class="text-gray text-lg mb-5">{{ post.specific.intro|truncatewords:20 }}</p>
              </div>
              <a href="{% pageurl post %}" class="inline-flex items-center no-underline text-purpleAccent blog__read-more">
                Leia mais
                <img src="{% static 'icons/arrow.svg' %}" alt="Arrow" class="ml-2 blog__read-more-icon">
              </a>
            </div>
          </div>
        </div>
      {% endfor %}
    </div>    
    
<!-- Paginação -->
  <div class="flex justify-end mt-16 pr-20">
    <div class="flex items-center space-x-4">
      <a href="{% if paginated_posts.has_previous %}?page={{ paginated_posts.previous_page_number }}{% else %}#{% endif %}" 
        class="text-purpleAccent hover:text-purpleAccent {% if not paginated_posts.has_previous %}text-gray-400 pointer-events-none{% endif %}">
        &lt;
      </a>

      <!-- Números de páginas -->
      {% for page_num in paginated_posts.paginator.page_range %}
        {% if page_num == paginated_posts.number %}
          <span class="bg-purpleAccent text-white w-10 h-10 flex items-center justify-center rounded-full">
            {{ page_num }}
          </span>
        {% else %}
          <a href="?page={{ page_num }}" class="text-purpleAccent hover:text-purpleAccent">
            {{ page_num }}
          </a>
        {% endif %}
      {% endfor %}

      <a href="{% if paginated_posts.has_next %}?page={{ paginated_posts.next_page_number }}{% else %}#{% endif %}" 
        class="text-purpleAccent hover:text-purpleAccent {% if not paginated_posts.has_next %}text-gray-400 pointer-events-none{% endif %}">
        &gt;
      </a>
    </div>
  </div>

{% if inscricao_section %}
  {% if not is_logged_in %}
    <div class="flex items-center justify-center ">
        <section class="inscricao-section">
            <div class="inscricao-container bg-purpleAccent flex flex-col md:flex-row items-center rounded-[36px] overflow-hidden w-[1634px] h-[186px]">
                {% if inscricao_section.image %}
                    <div class="inscricao-image flex-shrink-0">
                        {% image inscricao_section.image fill-380x186 class="w-full object-cover" %}
                    </div>
                {% endif %}

                <a href="{{ login_url }}">
                    <div class="inscricao-title-container flex-1 text-white md:text-left p-4 md:pl-8 cursor-pointer">
                        <h2 class="inscricao-title font-semibold no-underline hover:underline hover:decoration-1">
                            {{ inscricao_section.inscricao_title }}
                        </h2>
                    </div>
                </a>
            </div>
        </section>
    </div>
  {% endif %}
{% endif %}

  {% include 'home/footer_section.html' %}

{% endblock %}


